Bug 971611 - Error when accessing a site with a non-ASCII name
Error when accessing a site with a non-ASCII name
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
i386 Linux
unspecified Severity medium
: ER02
: 6.1.0
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 18:51 EDT by Miroslav Cupák
Modified: 2015-01-05 06:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Firefox 21.0
Last Closed: 2013-11-07 09:21:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log. (15.91 KB, text/x-log)
2013-06-06 18:52 EDT, Miroslav Cupák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3119 Major Resolved Error when accessing a site with a non-ASCII name 2013-11-14 10:55:26 EST

  None (edit)
Description Miroslav Cupák 2013-06-06 18:51:18 EDT
Description of problem:
A site with a non-ASCII name can be created. However, it is not displayed when a user tries to access it and the following error is thrown:

An error occured while cache user profile: javax.servlet.ServletException: java.lang.IllegalArgumentException: JBWEB002039: Control character in cookie value or attribute

See the attached part of the server log for more details.

Steps to Reproduce:
1. Start the portal and sign in as root.
2. Go to Site > Manage Sites > Add new portal.
3. Set the site name to something non-ASCII, e.g. "ščť", add some permissions and save it.
4. Access the newly created site via Site > ščť. 

Actual results:
The site is not displayed and an error is logged.

Expected results:
The site can be accessed properly.
Comment 1 Miroslav Cupák 2013-06-06 18:52:43 EDT
Created attachment 757948 [details]
Server log.
Comment 2 Lucas Ponce 2013-06-13 10:41:31 EDT
Redirect cookie stored the name of the site as a value in plain text.
We've made a workaround to store the name of the site encoded, so then no issues with non-ascii.

PR sent.

I've done a couple of tests with no errors with following site's name: "ščť" and "árbol"

Note You need to log in before you can comment on or make changes to this bug.